

Patch from Tom Rini <trini@kernel.crashing.org>

Take CONFIG_SWAP out of the top-level menu into the general setup menu.  Make
it dependent on CONFIG_MMU and common to all architectures.


 25-akpm/arch/alpha/Kconfig     |    4 ----
 25-akpm/arch/arm/Kconfig       |    4 ----
 25-akpm/arch/cris/Kconfig      |    4 ----
 25-akpm/arch/i386/Kconfig      |    9 ---------
 25-akpm/arch/ia64/Kconfig      |    4 ----
 25-akpm/arch/m68k/Kconfig      |    4 ----
 25-akpm/arch/m68knommu/Kconfig |    4 ----
 25-akpm/arch/mips/Kconfig      |    4 ----
 25-akpm/arch/mips64/Kconfig    |    4 ----
 25-akpm/arch/parisc/Kconfig    |    4 ----
 25-akpm/arch/ppc/Kconfig       |   16 ----------------
 25-akpm/arch/ppc64/Kconfig     |    4 ----
 25-akpm/arch/s390/Kconfig      |    4 ----
 25-akpm/arch/s390x/Kconfig     |    4 ----
 25-akpm/arch/sh/Kconfig        |    4 ----
 25-akpm/arch/sparc/Kconfig     |    4 ----
 25-akpm/arch/sparc64/Kconfig   |    4 ----
 25-akpm/arch/um/Kconfig        |    4 ----
 25-akpm/arch/v850/Kconfig      |    3 ---
 25-akpm/arch/x86_64/Kconfig    |    4 ----
 25-akpm/init/Kconfig           |   10 ++++++++++
 21 files changed, 10 insertions(+), 96 deletions(-)

diff -puN arch/alpha/Kconfig~CONFIG_SWAP-fix arch/alpha/Kconfig
--- 25/arch/alpha/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/alpha/Kconfig	Fri Mar  7 13:43:26 2003
@@ -15,10 +15,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config UID16
 	bool
 
diff -puN arch/arm/Kconfig~CONFIG_SWAP-fix arch/arm/Kconfig
--- 25/arch/arm/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/arm/Kconfig	Fri Mar  7 13:43:26 2003
@@ -20,10 +20,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config EISA
 	bool
 	---help---
diff -puN arch/cris/Kconfig~CONFIG_SWAP-fix arch/cris/Kconfig
--- 25/arch/cris/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/cris/Kconfig	Fri Mar  7 13:43:26 2003
@@ -9,10 +9,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config UID16
 	bool
 	default y
diff -puN arch/i386/Kconfig~CONFIG_SWAP-fix arch/i386/Kconfig
--- 25/arch/i386/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/i386/Kconfig	Fri Mar  7 13:43:26 2003
@@ -18,15 +18,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool "Support for paging of anonymous memory"
-	default y
-	help
-	  This option allows you to choose whether you want to have support
-	  for socalled swap devices or swap files in your kernel that are
-	  used to provide more virtual memory than the actual RAM present
-	  in your computer.  If unusre say Y.
-
 config SBUS
 	bool
 
diff -puN arch/ia64/Kconfig~CONFIG_SWAP-fix arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/ia64/Kconfig	Fri Mar  7 13:43:40 2003
@@ -22,10 +22,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config RWSEM_XCHGADD_ALGORITHM
 	bool
 	default y
diff -puN arch/m68k/Kconfig~CONFIG_SWAP-fix arch/m68k/Kconfig
--- 25/arch/m68k/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/m68k/Kconfig	Fri Mar  7 13:43:26 2003
@@ -10,10 +10,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config UID16
 	bool
 	default y
diff -puN arch/m68knommu/Kconfig~CONFIG_SWAP-fix arch/m68knommu/Kconfig
--- 25/arch/m68knommu/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/m68knommu/Kconfig	Fri Mar  7 13:43:26 2003
@@ -9,10 +9,6 @@ config MMU
 	bool
 	default n
 
-config SWAP
-	bool
-	default n
-
 config FPU
 	bool
 	default n
diff -puN arch/mips64/Kconfig~CONFIG_SWAP-fix arch/mips64/Kconfig
--- 25/arch/mips64/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/mips64/Kconfig	Fri Mar  7 13:43:26 2003
@@ -9,10 +9,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 source "init/Kconfig"
 
 
diff -puN arch/mips/Kconfig~CONFIG_SWAP-fix arch/mips/Kconfig
--- 25/arch/mips/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/mips/Kconfig	Fri Mar  7 13:43:26 2003
@@ -10,10 +10,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config SMP
 	bool
 	---help---
diff -puN arch/parisc/Kconfig~CONFIG_SWAP-fix arch/parisc/Kconfig
--- 25/arch/parisc/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/parisc/Kconfig	Fri Mar  7 13:43:26 2003
@@ -18,10 +18,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config STACK_GROWSUP
 	bool
 	default y
diff -puN arch/ppc64/Kconfig~CONFIG_SWAP-fix arch/ppc64/Kconfig
--- 25/arch/ppc64/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/ppc64/Kconfig	Fri Mar  7 13:43:26 2003
@@ -7,10 +7,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config UID16
 	bool
 
diff -puN arch/ppc/Kconfig~CONFIG_SWAP-fix arch/ppc/Kconfig
--- 25/arch/ppc/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/ppc/Kconfig	Fri Mar  7 13:43:26 2003
@@ -1126,22 +1126,6 @@ config BOOT_LOAD
 config PIN_TLB
 	bool "Pinned Kernel TLBs (860 ONLY)"
 	depends on ADVANCED_OPTIONS && 8xx
-
-config SWAP
-	bool "Enable support for swap"
-	depends on ADVANCED_OPTIONS
-	help
-	  This option allows you to turn off support for swapfiles in
-	  the kernel.  This can be useful if you know that your system
-	  will never have swap.
-
-	  Say Y here unless you know what you are doing.
-
-config SWAP
-	bool
-	depends on !ADVANCED_OPTIONS
-	default y
-
 endmenu
 
 source "drivers/mtd/Kconfig"
diff -puN arch/s390/Kconfig~CONFIG_SWAP-fix arch/s390/Kconfig
--- 25/arch/s390/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/s390/Kconfig	Fri Mar  7 13:43:26 2003
@@ -7,10 +7,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config UID16
 	bool
 	default y
diff -puN arch/s390x/Kconfig~CONFIG_SWAP-fix arch/s390x/Kconfig
--- 25/arch/s390x/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/s390x/Kconfig	Fri Mar  7 13:43:26 2003
@@ -7,10 +7,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config RWSEM_GENERIC_SPINLOCK
 	bool
 
diff -puN arch/sh/Kconfig~CONFIG_SWAP-fix arch/sh/Kconfig
--- 25/arch/sh/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/sh/Kconfig	Fri Mar  7 13:43:26 2003
@@ -18,10 +18,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config UID16
 	bool
 	default y
diff -puN arch/sparc64/Kconfig~CONFIG_SWAP-fix arch/sparc64/Kconfig
--- 25/arch/sparc64/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/sparc64/Kconfig	Fri Mar  7 13:43:26 2003
@@ -9,10 +9,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 source "init/Kconfig"
 
 
diff -puN arch/sparc/Kconfig~CONFIG_SWAP-fix arch/sparc/Kconfig
--- 25/arch/sparc/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/sparc/Kconfig	Fri Mar  7 13:43:26 2003
@@ -9,10 +9,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config UID16
 	bool
 	default y
diff -puN arch/um/Kconfig~CONFIG_SWAP-fix arch/um/Kconfig
--- 25/arch/um/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:25 2003
+++ 25-akpm/arch/um/Kconfig	Fri Mar  7 13:43:26 2003
@@ -7,10 +7,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 mainmenu "Linux/Usermode Kernel Configuration"
 
 config ISA
diff -puN arch/v850/Kconfig~CONFIG_SWAP-fix arch/v850/Kconfig
--- 25/arch/v850/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:26 2003
+++ 25-akpm/arch/v850/Kconfig	Fri Mar  7 13:43:26 2003
@@ -10,9 +10,6 @@ mainmenu "uClinux/v850 (w/o MMU) Kernel 
 config MMU
        	bool
 	default n
-config SWAP
-	bool
-	default n
 config UID16
 	bool
 	default n
diff -puN arch/x86_64/Kconfig~CONFIG_SWAP-fix arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:26 2003
+++ 25-akpm/arch/x86_64/Kconfig	Fri Mar  7 13:43:26 2003
@@ -24,10 +24,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool
-	default y
-
 config ISA
 	bool
 
diff -puN init/Kconfig~CONFIG_SWAP-fix init/Kconfig
--- 25/init/Kconfig~CONFIG_SWAP-fix	Fri Mar  7 13:43:26 2003
+++ 25-akpm/init/Kconfig	Fri Mar  7 13:43:26 2003
@@ -37,6 +37,16 @@ endmenu
 
 menu "General setup"
 
+config SWAP
+	bool "Support for paging of anonymous memory"
+	depends on MMU
+	default y
+	help
+	  This option allows you to choose whether you want to have support
+	  for socalled swap devices or swap files in your kernel that are
+	  used to provide more virtual memory than the actual RAM present
+	  in your computer.  If unusre say Y.
+
 config SYSVIPC
 	bool "System V IPC"
 	---help---

_
